Update or remove items from the shopping cart
curl --request POST \
--url https://api.example.com/api/v1/cart/items/{
"success": true,
"message": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://mintlify.com/klvxn/ecommerce-api/llms.txt
Use this file to discover all available pages before exploring further.
prod{id}_{sku}_dflt)curl -X PUT https://api.example.com/api/v1/cart/items/ \
-H "Content-Type: application/json" \
-H "Cookie: sessionid=your_session_id" \
-d '{
"item_key": "prod123_SKU789_dflt",
"quantity": 2
}'
{
"success": true,
"message": "Quantity updated"
}
{
"success": true,
"message": "Quantity limited to available stock: (5)"
}
{
"success": true,
"message": "Item removed from cart"
}
{
"item_key": ["Invalid cart item key"]
}
{
"item_key": ["Product is no longer availabe"]
}
{
"quantity": ["Requested quantity: (10) exceeds available stock: (5) for this variant"]
}
{
"item_key": ["Product variant no longer exists"]
}
curl -X DELETE https://api.example.com/api/v1/cart/items/ \
-H "Content-Type: application/json" \
-H "Cookie: sessionid=your_session_id" \
-d '{
"item_key": "prod123_SKU789_dflt"
}'
{
"success": true,
"message": "Item has been removed from cart"
}
{
"success": false,
"message": "This item is not in your cart"
}
{
"item_key": ["Invalid cart item key"]
}
prod{product_id}_{variant_sku}_dfltPOST /api/v1/cart/GET /api/v1/cart/DELETE /api/v1/cart/curl --request POST \
--url https://api.example.com/api/v1/cart/items/{
"success": true,
"message": "<string>"
}